summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-util/eclipse-sdk/files')
-rw-r--r--dev-util/eclipse-sdk/files/3.5/eclipse-3.550
-rw-r--r--dev-util/eclipse-sdk/files/3.5/eclipserc-3.520
-rw-r--r--dev-util/eclipse-sdk/files/3.5/gtk_makefile.patch43
-rw-r--r--dev-util/eclipse-sdk/files/3.5/hamcrest-junit-lib.patch11
-rw-r--r--dev-util/eclipse-sdk/files/3.5/jvmarg.patch10
5 files changed, 134 insertions, 0 deletions
diff --git a/dev-util/eclipse-sdk/files/3.5/eclipse-3.5 b/dev-util/eclipse-sdk/files/3.5/eclipse-3.5
new file mode 100644
index 000000000000..f50a51ad629d
--- /dev/null
+++ b/dev-util/eclipse-sdk/files/3.5/eclipse-3.5
@@ -0,0 +1,50 @@
+#! /bin/sh
+#
+# Tiny startup wrapper for Eclipse
+#
+# Copyright (c) 2004, Karl Trygve Kalleberg <karltk@gentoo.org>
+# Copyright (c) 2007-2008, Jean-Noël Rivasseau <elvanor@gentoo.org>
+# Copyright (c) 2004-2008, Gentoo Foundation
+#
+# Licensed under the GNU General Public License, version 2
+#
+
+SLOT="3.5"
+
+[ -f "/etc/eclipserc-${SLOT}" ] && . "/etc/eclipserc-${SLOT}"
+[ -f "$HOME/gentoo/.eclipserc" ] && . "$HOME/gentoo/.eclipserc"
+
+ECLIPSE_HOME=${ECLIPSE_HOME:="/usr/lib/eclipse-${SLOT}"}
+ECLIPSE_BIN="${ECLIPSE_HOME}/eclipse"
+
+if [ ! -x "${ECLIPSE_BIN}" ] ; then
+ echo "Failed to find executable '${ECLIPSE_BIN}'" > /dev/stderr
+ exit 1
+fi
+
+if [ $(id -u) -eq 0 ] ; then
+ echo "Do not run eclipse as root user! Exiting ..." > /dev/stderr
+ exit 1
+fi
+
+case "$(java-config -f)" in
+ *gcj*)
+ export JAVA_PKG_CLASSMAP="${ECLIPSE_HOME}/eclipse.gcjdb"
+ ;;
+esac
+
+eval $(gjl --package "swt-${SLOT}" --get-args)
+
+[ -n "${ECLIPSE_XMS}" ] && VM_ARGS="${VM_ARGS} -Xms${ECLIPSE_XMS}"
+[ -n "${ECLIPSE_XMX}" ] && VM_ARGS="${VM_ARGS} -Xmx${ECLIPSE_XMX}"
+[ -n "${ECLIPSE_PERMSIZE}" ] && VM_ARGS="${VM_ARGS} -XX:PermSize=${ECLIPSE_PERMSIZE}"
+[ -n "${ECLIPSE_MAX_PERMSIZE}" ] && VM_ARGS="${VM_ARGS} -XX:MaxPermSize=${ECLIPSE_MAX_PERMSIZE}"
+
+# Fix for JRE 1.5.
+export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/lib
+
+# Fix for >=x11-libs/gtk+-2.18.1 (not needed for Eclipse 3.6+)
+# see https://bugs.eclipse.org/bugs/show_bug.cgi?id=291257
+export GDK_NATIVE_WINDOWS=true
+
+exec "${ECLIPSE_BIN}" -vm $(java-config --java) "$@" "${ECLIPSE_USER_ARGS}" -vmargs ${VM_ARGS}
diff --git a/dev-util/eclipse-sdk/files/3.5/eclipserc-3.5 b/dev-util/eclipse-sdk/files/3.5/eclipserc-3.5
new file mode 100644
index 000000000000..703b6491c463
--- /dev/null
+++ b/dev-util/eclipse-sdk/files/3.5/eclipserc-3.5
@@ -0,0 +1,20 @@
+# This file specifies some initial Eclipse settings, like memory allowed
+# These settings only affect Eclipse startup and overall configuration
+# Main Eclipse configuration should be done within Eclipse (with the GUI)
+
+# Following variables controls the minimal and maximum amounts of memory
+# allocated to Eclipse (respectively).
+# Increase those numbers if you get OutOfMemory errors.
+
+ECLIPSE_XMS=128m
+ECLIPSE_XMX=256m
+
+# Following variables controls the minimal and maximum amounts of memory
+# allocated to the permanent generation space.
+# This space contains data related to all classes.
+# Thus, if you use a lot of Eclipse plugins, it is recommended to uncomment
+# these variables and even increase it, if you have enough RAM.
+# Else you will get crashes related to OutOfMemory in PermGen exceptions.
+
+#ECLIPSE_PERMSIZE=64m
+#ECLIPSE_MAX_PERMSIZE=128m \ No newline at end of file
diff --git a/dev-util/eclipse-sdk/files/3.5/gtk_makefile.patch b/dev-util/eclipse-sdk/files/3.5/gtk_makefile.patch
new file mode 100644
index 000000000000..a9ab46e50588
--- /dev/null
+++ b/dev-util/eclipse-sdk/files/3.5/gtk_makefile.patch
@@ -0,0 +1,43 @@
+--- features/org.eclipse.equinox.executable/library/gtk/make_linux.mak.bak 2010-03-06 06:32:49.000000000 +1300
++++ features/org.eclipse.equinox.executable/library/gtk/make_linux.mak 2010-03-06 06:33:31.000000000 +1300
+@@ -27,14 +27,14 @@
+ PROGRAM_OUTPUT=eclipse
+ endif
+
+-PROGRAM_LIBRARY=$(PROGRAM_OUTPUT)_$(LIB_VERSION).so
++PROGRAM_SONAME=$(PROGRAM_OUTPUT)_$(LIB_VERSION)
++PROGRAM_LIBRARY=$(PROGRAM_SONAME).so
+
+ ifeq ($(DEFAULT_JAVA),)
+ DEFAULT_JAVA=DEFAULT_JAVA_JNI
+ endif
+
+ # Define the object modules to be compiled and flags.
+-CC=gcc
+ MAIN_OBJS = eclipseMain.o
+ COMMON_OBJS = eclipseConfig.o eclipseCommon.o eclipseGtkCommon.o eclipseGtkInit.o
+ DLL_OBJS = eclipse.o eclipseGtk.o eclipseUtil.o eclipseJNI.o eclipseMozilla.o eclipseShm.o eclipseNix.o
+@@ -44,8 +44,8 @@
+ #LIBS = `pkg-config --libs-only-L gtk+-2.0` -lgtk-x11-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgdk-x11-2.0 -lpthread -ldl
+ LIBS = -lpthread -ldl
+ GTK_LIBS = -DGTK_LIB="\"libgtk-x11-2.0.so.0\"" -DGDK_LIB="\"libgdk-x11-2.0.so.0\"" -DPIXBUF_LIB="\"libgdk_pixbuf-2.0.so.0\"" -DGOBJ_LIB="\"libgobject-2.0.so.0\""
+-LFLAGS = -shared -fpic -Wl,--export-dynamic
+-CFLAGS = -g -s -Wall\
++LFLAGS = -shared -Wl,-soname=$(PROGRAM_SONAME) -fpic -Wl,--export-dynamic
++CFLAGS += -Wall\
+ -fpic \
+ -DLINUX \
+ -DMOZILLA_FIX \
+@@ -95,10 +95,10 @@
+ $(CC) $(CFLAGS) -c ../eclipseNix.c -o eclipseNix.o
+
+ $(EXEC): $(MAIN_OBJS) $(COMMON_OBJS)
+- $(CC) -o $(EXEC) $(MAIN_OBJS) $(COMMON_OBJS) $(LIBS)
++ $(CC) $(LDFLAGS) -o $(EXEC) $(MAIN_OBJS) $(COMMON_OBJS) $(LIBS)
+
+ $(DLL): $(DLL_OBJS) $(COMMON_OBJS)
+- $(CC) $(LFLAGS) -o $(DLL) $(DLL_OBJS) $(COMMON_OBJS) $(LIBS)
++ $(CC) $(LDFLAGS) $(LFLAGS) -o $(DLL) $(DLL_OBJS) $(COMMON_OBJS) $(LIBS)
+
+ install: all
+ cp $(EXEC) $(OUTPUT_DIR)
diff --git a/dev-util/eclipse-sdk/files/3.5/hamcrest-junit-lib.patch b/dev-util/eclipse-sdk/files/3.5/hamcrest-junit-lib.patch
new file mode 100644
index 000000000000..f76f540b9b5e
--- /dev/null
+++ b/dev-util/eclipse-sdk/files/3.5/hamcrest-junit-lib.patch
@@ -0,0 +1,11 @@
+--- ./plugins/org.eclipse.jdt.junit/src/org/eclipse/jdt/internal/junit/buildpath/BuildPathSupport.java.old 2010-03-04 07:29:04.000000000 +1300
++++ ./plugins/org.eclipse.jdt.junit/src/org/eclipse/jdt/internal/junit/buildpath/BuildPathSupport.java 2010-03-04 07:29:28.000000000 +1300
+@@ -139,7 +139,7 @@
+ "org.junit4", new VersionRange("[4.5.0,5.0.0)"), "junit.jar", "org.junit4.source", "junitsrc.zip", JUnitPreferencesConstants.JUNIT4_JAVADOC); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+
+ private static final JUnitPluginDescription HAMCREST_CORE_PLUGIN= new JUnitPluginDescription(
+- "org.hamcrest.core", new VersionRange("[1.1.0,2.0.0)"), null, "org.hamcrest.core.source", "source-bundle/", JUnitPreferencesConstants.HAMCREST_CORE_JAVADOC); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
++ "org.hamcrest.core", new VersionRange("[1.1.0,2.0.0)"), "hamcrest-core.jar", "org.hamcrest.core.source", "source-bundle/", JUnitPreferencesConstants.HAMCREST_CORE_JAVADOC); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+
+ /**
+ * @return the JUnit3 classpath container
diff --git a/dev-util/eclipse-sdk/files/3.5/jvmarg.patch b/dev-util/eclipse-sdk/files/3.5/jvmarg.patch
new file mode 100644
index 000000000000..95ac7049038a
--- /dev/null
+++ b/dev-util/eclipse-sdk/files/3.5/jvmarg.patch
@@ -0,0 +1,10 @@
+--- a/build/eclipse-build-0_4_RC6/build.xml 2009-11-05 11:15:17.000000000 +0000
++++ b/build/eclipse-build-0_4_RC6/build.xml 2010-01-07 22:29:17.000000000 +0000
+@@ -283,6 +283,7 @@
+ <arg line="-Dbuilder=${buildConfig} " />
+ <arg line="-DbuildDirectory=${buildDirectory} " />
+ <arg line="-consolelog " />
++ <jvmarg value="-Xmx512m"/>
+ </java>
+ <!--
+ <ant antfile="build.xml" dir="${eclipse.pdebuild.scripts}">